atk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Enum GLib.GType(typeof(Atk.TextAttributeGType)) Describes the text attributes supported
- Field
  2.12.0.0
  Atk.TextAttribute The background color. The value is an RGB value of the format "u,u,u"
- Field
  2.12.0.0
  Atk.TextAttribute "true" or "false" whether to make the background color for each character the height of the highest font used on the current line, or the height of the font used for the current character.
- Field
  2.12.0.0
  Atk.TextAttribute "true" if a GdkBitmap is set for stippling the background color.
- Field
  2.12.0.0
  Atk.TextAttribute The direction of the text, if set. Values are "none", "ltr" or "rtl"
- Field
  2.12.0.0
  Atk.TextAttribute Either "true" or "false" indicating whether text is editable or not
- Field
  2.12.0.0
  Atk.TextAttribute The font family name
- Field
  2.12.0.0
  Atk.TextAttribute The foreground color. The value is an RGB value of the format "u,u,u"
- Field
  2.12.0.0
  Atk.TextAttribute "true" if a GdkBitmap is set for stippling the foreground color.
- Field
  2.12.0.0
  Atk.TextAttribute The number of pixels that the text is indented
- Field
  2.12.0.0
  Atk.TextAttribute Invalid attribute
- Field
  2.12.0.0
  Atk.TextAttribute Either "true" or "false" indicating whether text is visible or not
- Field
  2.12.0.0
  Atk.TextAttribute The justification of the text, if set. Values are "left", "right", "center" or "fill"
- Field
  2.12.0.0
  Atk.TextAttribute The language used
- Field
  2.12.0.0
  Atk.TextAttribute not a valid text attribute, used for finding end of enumeration
- Field
  2.12.0.0
  Atk.TextAttribute The pixel width of the left margin
- Field
  2.12.0.0
  Atk.TextAttribute Pixels of blank space to leave above each newline-terminated line.
- Field
  2.12.0.0
  Atk.TextAttribute Pixels of blank space to leave below each newline-terminated line.
- Field
  2.12.0.0
  Atk.TextAttribute Pixels of blank space to leave between wrapped lines inside the same newline-terminated line (paragraph).
- Field
  2.12.0.0
  Atk.TextAttribute The pixel width of the right margin
- Field
  2.12.0.0
  Atk.TextAttribute Number of pixels that the characters are risen above the baseline
- Field
  2.12.0.0
  Atk.TextAttribute The scale of the characters. The value is a string representation of a double
- Field
  2.12.0.0
  Atk.TextAttribute The size of the characters.
- Field
  2.12.0.0
  Atk.TextAttribute The stretch of the text, if set. Values are "ultra_condensed", "extra_condensed", "condensed", "semi_condensed", "normal", "semi_expanded", "expanded", "extra_expanded" or "ultra_expanded"
- Field
  2.12.0.0
  Atk.TextAttribute "true" or "false" whether the text is strikethrough
- Field
  2.12.0.0
  Atk.TextAttribute The slant style of the text, if set. Values are "normal", "oblique" or "italic"
- Field
  2.12.0.0
  Atk.TextAttribute "none", "single", "double" or "low"
- Field
  2.12.0.0
  Atk.TextAttribute The capitalization variant of the text, if set. Values are "normal" or "small_caps"
- Field
  2.12.0.0
  Atk.TextAttribute The weight of the characters.
- Field
  2.12.0.0
  Atk.TextAttribute The wrap mode of the text, if any. Values are "none", "char" or "word"